Loading...
Searching...
No Matches
view.hpp File Reference

## Description

Provides bsoncxx::v1::document::view.

Includes
  - bsoncxx/v1/element/view.hpp

Go to the source code of this file.

## Classes

class | bsoncxx::v1::document::view
| A non-owning, read-only BSON document. More...
class | bsoncxx::v1::document::view::const_iterator
| A const iterator over the elements of a view. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v1
| Declares entities whose ABI stability is guaranteed for documented symbols.
namespace | bsoncxx::v1::document
| Declares entities representing a BSON document.